# boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M > Struct Template Reference

List of all members.

## Public Types
typedef opentl::math::Matrix | identifier_type
typedef general_t | matrix_structure
typedef M | matrix_type
typedef row_major_t | ordering_type
typedef double * | pointer
typedef double | value_type
## Public Member Functions
| BOOST_STATIC_ASSERT ((::boost::is_same< opentl::math::Matrix, typename::boost::remove_const< M >::type >::value))
## Static Public Member Functions
::std::ptrdiff_t | leading_dimension (matrix_type &v)
::std::ptrdiff_t | num_columns (matrix_type &m)
::std::ptrdiff_t | num_rows (matrix_type &m)
static pointer | storage (matrix_type &m)
::std::ptrdiff_t | storage_size (matrix_type &m)

### template<typename M>
struct boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >

## Member Typedef Documentation

template<typename M >

typedef opentl::math::Matrix boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::identifier_type

template<typename M >

typedef general_t boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::matrix_structure

template<typename M >

typedef M boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::matrix_type

template<typename M >

typedef row_major_t boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::ordering_type

template<typename M >

typedef double* boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::pointer

template<typename M >

typedef double boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::value_type

## Member Function Documentation

template<typename M >

boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::BOOST_STATIC_ASSERT | ( | (::boost::is_same< opentl::math::Matrix, typename::boost::remove_const< M >::type >::value) |  | ) |

template<typename M >

::std::ptrdiff_t boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::leading_dimension | ( | matrix_type & | v | ) | `[inline, static]`

template<typename M >

::std::ptrdiff_t boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::num_columns | ( | matrix_type & | m | ) | `[inline, static]`

template<typename M >

::std::ptrdiff_t boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::num_rows | ( | matrix_type & | m | ) | `[inline, static]`

template<typename M >

static pointer boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::storage | ( | matrix_type & | m | ) | `[inline, static]`

template<typename M >

::std::ptrdiff_t boost::numeric::bindings::traits::matrix_detail_traits< opentl::math::Matrix, M >::storage_size | ( | matrix_type & | m | ) | `[inline, static]`